Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4922 - IP/MAC address conflict at boot when shapeing windows pc
Summary: IP/MAC address conflict at boot when shapeing windows pc
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: shapecfg
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-05 04:50 UTC by d.e.baker
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-08-02 13:56:52 UTC


Attachments (Terms of Use)

Description d.e.baker 1999-09-05 04:50:03 UTC
I am running the traffic shaper which comes with RedHat 6.0
and it works great, except that if a windows 98 machine is
being shaped, and that machine reboots while the host shaper
route is defined, then the windows box will detect a
conflict for the IP address.  This then causes the windows
machine to boot up with the network interface disabled.

The machine doing the routing/shaping is a dual processor
system running the smp kernel (of course).  All linux
software is out-of-the-box stock official RedHat, nothing
re-compiled.

The following are the commands to setup traffic shaping.
Everything works OK until the last statement where the host
route is added.  After this point, the problem mentioned
above occurrs.  If that host route is deleted, then the
problem goes away.

/sbin/insmod shaper -o shaper0
/sbin/shapecfg attach shaper0 eth0
/sbin/shapecfg speed shaper0 20000
/sbin/ifconfig shaper0 192.168.110.1 netmask 255.255.255.0
up
/sbin/route add -host 192.168.110.222 dev shaper0

The address 192.168.110.1 is the IP address of the nic in
the linux router, and 192.168.110.222 is the win pc being
shaped.  I am doing something wrong here, or is this a real
bug with shaper?

Comment 1 Trond Eivind Glomsrxd 2000-07-10 18:39:06 UTC
Is this still a problem in 6.2?

Comment 2 Trond Eivind Glomsrxd 2000-08-02 13:56:50 UTC
Or in the pinstripe beta?

Comment 3 Trond Eivind Glomsrxd 2000-08-15 20:53:07 UTC
OK - no information to the contrary, I'll close this as "fixed for Red Hat 6.2"


Note You need to log in before you can comment on or make changes to this bug.